#ifndef _WINC_CLIMATDATA
#define _WINC_CLIMATDATA

namespace WXP {
   struct ClimatData {
      char id[6];
      int month, year; 
      /* 111 */ 
      float StPr, SLPr; 
      float T, Tdev, TMx, TMn, VPr; 
      float Prec; 
      int PrecQ; 
      int PrecDy; 
      float Sun, SunPct; 
      /* 222 */  
      int AvBeg, AvEnd; 
      float AvSLPr, AvStPr; 
      float AvT, AvTdev, AvTMx, AvTMn, AvVPr; 
      float AvPrec; 
      int AvPrecDy; 
      float AvSun; 
      /* 333 */ 
      int T25, T30, T35, T40, Tn0, Tx0; 
      int R1, R5, R10, R50, R100, R150; 
      int S0, S1, S10, S50; 
      int F20, F30, F40; 
      int V50, V100, V1000; 
      /* 444 */ 
      float MxTMn, MnTMn, MxT, MnT, MxPrec, MxSpd; 
      int MxTMnDy, MnTMnDy, MxTDy, MnTDy, MxPrecDy, MxSpdDy; 
      int TDy, ADy;
   
      ClimatData();
      int init();
      int print();

   };
}   
#endif
