#ifndef _WINC_EARTHRANGE
#define _WINC_EARTHRANGE

namespace WXP {
   struct EarthRange {
      float min_lat;
      float max_lat;
      float min_lon;
      float max_lon;

      EarthRange();
      EarthRange( float nlat, float xlat, float nlon, float xlon );
      int init();
      int set( float nlat, float xlat, float nlon, float xlon );
      /** Returns the minimum */
      inline float getMinLat(){ return min_lat; };
      /** Returns the maximum */
      inline float getMaxLat(){ return max_lat; };
      /** Returns the minimum */
      inline float getMinLon(){ return min_lon; };
      /** Returns the maximum */
      inline float getMaxLon(){ return max_lon; };
      int print();
   };
}
#endif
