#ifndef _WINC_FRONTFILE
#define _WINC_FRONTFILE

#include <WXP/Date.h>
#include <WXP/File.h>
#include <WXP/Filename.h>
#include <WXP/FrontData.h>
#include <WXP/String.h>

namespace WXP {
   class FrontFile {
      File file;
      Date fdate;
      Date date;
      bool opened;
   
      char line[80];
      char tag[80];
      String data;
      int fhour;
      int found;
      int cont;

      public:
      FrontFile();
      FrontFile( const char *file );
      FrontFile( Filename &file );
      inline bool isOpen(){ return opened; };
      int init();
      inline int setHour( int rhour ){ fhour = rhour; return 1; };
      inline int setDate( Date &rdate ){ fdate = rdate; return 1; };
      int open( const char *filename );
      int open( Filename &filename );
      int read( FrontData &front );
      int print();
   };
}
#endif
