#ifndef _WINC_GRIDPOINT
#define _WINC_GRIDPOINT

namespace WXP {
   struct GridPoint {                /* Coordinate data structure */
      float gx, gy;

      int init();
      GridPoint();
      GridPoint( float gx, float gy );
      int set( float gx, float gy );
      int set( GridPoint gpt );
      int offset( float gx, float gy );
      /** Get grid X value */
      inline float getGX(){ return gx; };
      /** Get grid Y value */
      inline float getGY(){ return gy; };
      int print();
   };
}
#endif
