#ifndef _WINC_GRIDTOOL
#define _WINC_GRIDTOOL

#include <WXP/Date.h>
#include <WXP/Filename.h>
#include <WXP/FloatArray.h>
#include <WXP/Grid.h>
#include <WXP/Grids.h>
#include <WXP/GridSpec.h>
#include <WXP/Image.h>
#include <WXP/ModelSpec.h>
#include <WXP/String.h>

namespace WXP {
   class GridTool {
      public:
      static int valueGrid( Grid &grid, float value );
      static int updateSpec( GridSpec &gs, ForeTime &f, Level &l, VarNameItem &v );
      static int updateSpec( GridSpec &gs, ForeTime &f, Level &l );
      static int updateSpec( GridSpec &gs, ForeTime &f );
      static int updateSpec( GridSpec &gs, Level &l );
      static int setFilename( Filename &filename, GridSpec &spec );
      static int toImage( Image &image, Grid &grid, FloatArray &thres );
      static int toImage( Image &image, Grid &grid );
   };
}
#endif
