#ifndef _WINC_HURFORE
#define _WINC_HURFORE

#include <WXP/HurAdv.h>

namespace WXP {
   struct HurFore {
      HurAdv adv;
      HurAdv fore[10];
      int nfore;

      HurFore();
      int init();
      inline const char *getName(){ return adv.name; };
      inline int getLoc(){ return adv.locate; };
      inline const char *getLocString(){ return HurAdv::getLoc(adv.locate); };
      inline int getYear(){ return adv.date.getYear(); };
      int print();
      int printTable();
   };
}
#endif
