#ifndef _WINC_IMAGEPIECE
#define _WINC_IMAGEPIECE

#include <WXP/DomainVal.h>
#include <WXP/Image.h>

namespace WXP {
   class ImagePiece {
      int nx, ny;
      DomainVal dv;
      int pix_ave;
      
      public:
      ImagePiece();
      int init();
      int set( Image &image, int rnx, int rny, Image &simage );
      int setPixAve( int val ){ pix_ave = val; return 1; };
      int add( Image &image, int x, int y, Image &simage );
      int add( Image &image, Image &simage );
   };
}
#endif
