#ifndef _WINC_MDRDECODE
#define _WINC_MDRDECODE

#include <WXP/Date.h>
#include <WXP/DateRange.h>
#include <WXP/Filename.h>
#include <WXP/Image.h>
#include <WXP/MdrFile.h>
#include <WXP/MdrHash.h>
#include <WXP/MdrImage.h>

namespace WXP {
   class MdrDecode {
      Date date;
      DateRange drange;
      Filename infile;
      Filename outfile;
      MdrHash hash;
      MdrImage mimg;
      Image image;
   
      public:
      MdrDecode();
      MdrDecode( const char *filename );
      int init();
      int setParam( const char *str );
      int setInput( const char *conv );
      int setOutput( const char *conv );
      int setDate( Date &rdate );
      int decode( Date &date );
      int decode( const char *filename );
      int setup();
      int decode();
   };
}   
#endif
