#ifndef _WINC_MDRWXPFILE
#define _WINC_MDRWXPFILE

#include <WXP/Date.h>
#include <WXP/File.h>
#include <WXP/Grid.h>
#include <WXP/Image.h>
#include <WXP/MdrData.h>

namespace WXP {
   class MdrWxpFile {
      int ver;
      int access;
      File file;
      Date date;
      bool opened;
      char line[200];
      int num;
   
      public:
      MdrWxpFile( );
      MdrWxpFile( const char *filename );
      MdrWxpFile( const char *filename, int access );
      ~MdrWxpFile( );
      inline bool isOpen(){ return opened; };
      int open( const char *filename, int raccess );
      int rewind( );
      int close( );
      int setDate( Date &rdate );
      int getDate( Date &rdate );
      int read( Grid &grid );
      int read( Image &image );
      int write( Image &image );
      int read( MdrData &data );
      int write( MdrData &data );
   
      static int checkType( const char *filename );
   };
}   
#endif
