#ifndef _WINC_MONOSINUS
#define _WINC_MONOSINUS

namespace WXP {
   /** \struct WXP::MonoSinus MonoSinus.h "../include/MonoSinus.h"
    *  \brief This struct stores Monomial Sinusoids
    *
    *  \author Dan Vietor
    *  \ingroup Data
    */
   struct MonoSinus {
      long ord;      /**<  36    */
      long mord;     /**<  37    */
      float sinus[3];/**<  38-40 */
   };
}
#endif

