#ifndef _WINC_PANEL
#define _WINC_PANEL

#include <WXP/Domain.h>
#include <WXP/Rect.h>

namespace WXP {
   struct Panel {
      Rect limits;
      Rect offset;
      Rect view;
      Domain domain;
   
      Panel();
      int setLimits( int x1, int y1, int x2, int y2 );
      int setLimits( Rect &rect );
      bool withinLimits( float x, float y );
      int getView( Point &ppt, Point &vpt );
      int getWindow( Point &ppt, Point &wpt );
      int init();
      int print();
   };
}
#endif
