#ifndef _WINC_POINT
#define _WINC_POINT

namespace WXP {
   struct Point {                /* Coordinate data structure */
      float x;     /**< X value */
      float y;     /**< Y value */
      float z;     /**< Z value */
   
      int init();
      Point();
      Point( float rx, float ry );
      Point( float rx, float ry, float rz );
      int set( float rx, float ry );
      int offset( float rx, float ry );
      int set( float rx, float ry, float rz );
      /** Sets values to another point */
      inline int set( Point &pt ){ *this = pt; return 1; };
      /** Returns X value */
      inline float getX(){ return x; };
      /** Returns Y value */
      inline float getY(){ return y; };
      int print();

      static Point interp( Point pt1, Point pt2, float d );
   };
}
#endif
