#ifndef _WINC_RGB
#define _WINC_RGB

namespace WXP {
   struct RGB {
      float red;        /**< Its red value (0-1) */
      float grn;        /**< Its green value (0-1) */
      float blu;        /**< Its blue value (0-1) */

      RGB();
      int init();
      int set( float r, float g, float b );
      /** Returns red value */
      inline float getRed(){ return red; };
      /** Returns green value */
      inline float getGrn(){ return grn; };
      /** Returns blue value */
      inline float getBlu(){ return blu; };
      bool isOff();
      bool isWhite();
      bool isBlack();
      int print();
   };
}
#endif
