#ifndef _WINC_STRINGS
#define _WINC_STRINGS

namespace WXP {
   class Strings {
      int num;
      char **vals;
      
      public:
      Strings( );
      Strings( int num );
      Strings( const char *string, char delim, int num );
      Strings( const char *string, char delim );
      Strings( const char *string );
      Strings( int cnt, const char *str[] );
      Strings( const Strings &strings );
      Strings operator=( const Strings &strings );
      ~Strings();
      int init();
      int set( int num );
      int set( int ind, const char *string );
      int set( const char *string, char delim, int num );
      int set( const char *string, char delim );
      int set( const char *string );
      int set( int cnt, const char *str[] );
      int set( const Strings &strings );
      int set( const char *string, const char *pattern );
      const char *getString( int ind );
      const char *getString( int ind, char delim );
      const char *getString( int ind, int off );
      const char *getStringAfter( int ind, char ch );
      char getChar( int ind, int off );
      bool valid( int ind );
      bool equal( int ind, const char *str );
      bool equal( int ind, int off, const char *str );
      bool equal( int ind, const char *str, int num );
      bool iequal( int ind, const char *str );
      bool iequal( int ind, int off, const char *str );
      bool iequal( int ind, const char *str, int num );
      int find( const char *str );
      int index( int ind, char s1 );
      bool contains( int ind, const char *str );
      int occurs( int ind, char c );
      int getLength( int ind );
      int scanf( int ind, const char *fmt, ... );
      int scanf( int ind, int off, const char *fmt, ... );
      int getInt( int ind );
      int getInt( int ind, int off );
      int getIntAfter( int ind, char ch );
      float getFloat( int ind );
      float getFloat( int ind, int off );
      float getFloatAfter( int ind, char ch );
      bool check( int ind, const char *pat );

      /** Returns the number of strings in list */
      int getNum( ){ return num; };
      int print();
   };
}   
#endif
