#ifndef _WINC_WINDPLOT
#define _WINC_WINDPLOT

#include <WXP/Plot.h>
#include <WXP/Point.h>
#include <WXP/Wind.h>

namespace WXP {
   class WindPlot {
      public:
      static int drawBarbMap( Plot &plot, Point &pt, Wind &wnd, float size, float offset );
      static int drawBarb( Plot &plot, Point &pt, Wind &wnd, float size, float offset );
      static int drawVectMap( Plot &plot, Point &pt, Wind &wnd, float size, float arrow );
      static int drawVect( Plot &plot, Point &pt, Wind &wnd, float size, float arrow );
      static int drawTrack( Plot &plot, Point &pt, Wind &wnd, float scale, float arrow, int maj, int min );
   };
}
#endif
