#ifndef _WINC_ATTITUDEANGLE
#define _WINC_ATTITUDEANGLE

#include <WXP/MonoSinus.h>

namespace WXP {
   /** \struct WXP::AttitudeAngle Gvar.h "../include/Gvar.h"
    *  \brief This struct stores attitude angle data
    *
    *  \author Dan Vietor
    *  \ingroup Data
    */
   struct AttitudeAngle {
      float expn[3];    /*   1- 3 */
      long nsinus;      /*   4    */
      float sinus[30];  /*   5-34 */
      long nmsin;       /*  35    */
      MonoSinus msin[4];
   };
}
#endif

