#ifndef _WINC_CCLDATA
#define _WINC_CCLDATA

namespace WXP {
   class CclData {
      float p;
      float w;
      float ct;

      public:
      CclData();
      int init();
      /** Returns pressure */
      inline float getP(){ return p; }; 
      /** Returns mixing ratio */
      inline float getW(){ return p; }; 
      /** Returns convective temperature */
      inline float getCT(){ return p; }; 

      friend class UpaCalc;
      friend class SoundParams;
   };
}
#endif

