#ifndef _WINC_CITYFILE
#define _WINC_CITYFILE

#include <WXP/CityData.h>
#include <WXP/File.h>

namespace WXP {
   class CityFile {
      File file;
      int num;
      bool opened;
      
      public:
      CityFile();
      CityFile( const char *filename, int access );
      CityFile( const char *filename );
      ~CityFile();
      
      int open( const char *filename, int access );
      int open( const char *filename );
      bool isOpen();
      int rewind();
      int close();
      int read( CityData &city );
      int getNum();
   };
}   
#endif
