#ifndef _WINC_CLIMATFILE
#define _WINC_CLIMATFILE

#include <WXP/ClimatData.h>
#include <WXP/Date.h>
#include <WXP/File.h>
#include <WXP/Filename.h>

namespace WXP {
   class ClimatFile {
      File file;
      Date date;
      bool opened;
   
      public:
      ClimatFile();
      ClimatFile( const char *file );
      ClimatFile( Filename &file );
      /** Returns true if file open */
      inline bool isOpen(){ return opened; };
      int init();
      int open( const char *filename );
      int open( Filename &filename );
      int read( ClimatData &data );
      int print();
   };
}
#endif
