#ifndef _WINC_LISTENER
#define _WINC_LISTENER

namespace WXP {
   /** \class Listener Listener.h "../include/Listener.h"
    *  \brief This virtual class defines the callback method for use with plotting
    *
    *  \author Dan Vietor
    */
   
   class Listener {
      public:
      virtual ~Listener() {};
      /**********************************************************************/
      /** The event callback
       * \param ev_str	String containing description of event
       * \param ev_data	Event specific data
       * \param data		User specific data
       */
      virtual void callback( const char *ev_str, const char *ev_data, const void *data ) = 0;
   };
}
#endif
