#ifndef _WINC_NAMECONVFILE
#define _WINC_NAMECONVFILE

#include <WXP/Date.h>
#include <WXP/String.h>

namespace WXP {
   class NameConvFile {
      char type[20];
      //String filename;
      char filename[120];
      //String header;
      char header[120];
      Date date;
      char param[50];
      int offset;
   
      public:
      NameConvFile();
      int init();
   
      int setType( const char *rtype );
      const char *getType();
      int setFilename( String &str );
      int setFilename( const char *str );
      const char *getFilename();
      int setHdrFilename( String &str );
      int setHdrFilename( const char *str );
      const char *getHdrFilename();
      int setDate( Date &rdate );
      int getDate( Date &rdate );
      Date getDate();
      int setParam( const char *str );
      const char *getParam();
      int setOffset( int val );
      int getOffset();
      int print();
   };
}  
#endif
