#ifndef _WINC_OBJECTANAL
#define _WINC_OBJECTANAL

#include <WXP/Data.h>
#include <WXP/Grids.h>

namespace WXP {
   class ObjectAnal {
      float filter;
      float rad_inf;
      int num_pass;
      float converg;
      float miss_val;
      int min_sta;
      
      public:
      ObjectAnal();
      ObjectAnal( const char *str );
      int init();
      int set( const char *param );
      int set( float fil, float rad, int pass, float conv );
      int setParam( const char *param );
      int setFilter( float fil );
      int setRadInf( float rad );
      int setNumPass( int pass );
      int setConverg( float conv );
      int setMinSta( int min );
      int setMissVal( float val );
      int compute( Data &data, Grids &grid );
      int print();
   };
}
#endif
