#ifndef _WINC_RCMDOMAIN
#define _WINC_RCMDOMAIN

#include <WXP/Domain.h>
#include <WXP/EarthPoint.h>
#include <WXP/GridPoint.h>

namespace WXP {
   class RcmDomain {
      Domain domain;
      GridPoint sgpt;
   
      public:
      RcmDomain();
      int init();
      DomainVal get();
      inline int get( DomainVal &dv ){ dv = domain.get(); return 1; };
      int setSite( float rlat, float rlon );
      GridPoint getSite();
      inline int getSite( GridPoint &gpt ){ gpt = sgpt; return 1; };
      int tranSite( float x, float y, EarthPoint &ept );
      int tranSite( float x, float y, GridPoint &gpt );
      inline int tran( EarthPoint &ept, Point &pt ){ return domain.tran( ept, pt ); };
      inline int tran( EarthPoint &ept, GridPoint &gpt ){ return domain.tran( ept, gpt ); };
      inline int tran( GridPoint &gpt, Point &pt ){ return domain.tran( gpt, pt ); };
      inline int tran( GridPoint &gpt, EarthPoint &ept ){ return domain.tran( gpt, ept ); };
      int print();
   };
}   
#endif
