#ifndef _WINC_RCMRAWDATA
#define _WINC_RCMRAWDATA

namespace WXP {
   /** \struct WXP::RcmRawData RcmRawData.h "../include/RcmRawData.h"
    *  \brief This struct holds the raw RCM data to be decoded
    *
    *  \author Dan Vietor
    *  \ingroup Data
    */
   struct RcmRawData {
      char data[5000];  /**< Raw data */
      int len;          /**< Length of data */
      char id[10];      /**< Site identifier */
   };
}
#endif

