#ifndef _WINC_RESRCDBLIST
#define _WINC_RESRCDBLIST

#include <WXP/ResrcDBItem.h>

namespace WXP {
   class ResrcDBList {
      ResrcDBItem *beg;
      ResrcDBItem *last;
      ResrcDBItem *cur;
      int num;

      public:
      ResrcDBList();
      int add( const char *name, const char *env, const char *cmdln, const char *help );
      int rewind();
      const ResrcDBItem *first();
      int first( ResrcDBItem &item );
      const ResrcDBItem *next();
      int next( ResrcDBItem &item );
      const ResrcDBItem *get( int ind );
      int get( int ind, ResrcDBItem &item );
      /** Returns number of resources in list */
      inline int getNum(){ return num; };
      int print();
   };
}
#endif
