#ifndef _WINC_SATTOOL
#define _WINC_SATTOOL

#include <WXP/Image.h>

namespace WXP {
   class SatTool {
      public:
      static float toIRTemp( int ind, float a, float b );
      static int toIRInd( float temp, float a, float b );
      static float toIRTemp( int ind, float a, float b, float c );
      static int toIRInd( float temp, float a, float b, float c );
      static float toIRG7Temp( int ind );
      static int toIRG7Ind( float temp );
      static float toIRGITemp( int ind );
      static int toIRGIInd( float temp );
      static float toIRMTTemp( int ind );
      static int toIRMTInd( float temp );
      static int addCalibration( Image &image, const char *calib );
   };
}
#endif
