#ifndef _WINC_TIMER
#define _WINC_TIMER

#include <sys/time.h>

namespace WXP {
   class Timer {
      struct timeval start;       /* Stores time when image placed in window */
      struct timeval current;     /* Stores current time */
      struct timeval event_time;  /* Stores last time an event occurred */

      float elapse;

      public:
      Timer();
      int init();
      float elapsed();
      float sleep( float secs );
   };
}
#endif
