#ifndef _WINC_VARNAMEITEM
#define _WINC_VARNAMEITEM

namespace WXP {
   class VarNameItem {
      int num;
      int ind[5];
      static const int abbr_len = 10;
      char abbr[10];
      static const int name_len = 50;
      char name[50];

      public:
      VarNameItem();
      int setName( const char *str );
      int setAbbr( const char *str );
      int getInd( int ind );
      /** Returns the variable index value */
      inline int getInd(){ return ind[0]; };
      const char *getAbbr(){ return abbr; };
      const char *getName(){ return name; };
      int init();
      int print();

      friend class VarName;
   };      
}
#endif

