#ifndef _WINC_WIND
#define _WINC_WIND

#include <WXP/Vect.h>

namespace WXP {
   class Wind {
      public:
      float dir;
      float spd;

      Wind( float d, float s );
      Wind();
      int init();
      int set( float d, float s );
      int set( Vect &v );
      /** Sets the direction \param val	Direction */
      inline int setDir( float val ){ dir = val; return 1; };
      /** Gets the driection */
      inline float getDir(){ return dir; };
      /** Sets the speed \param val	Speed */
      inline int setSpd( float val ){ spd = val; return 1; };
      /** Gets the speed */
      inline float getSpd(){ return spd; };
      int setVect( float u, float v );
      int toVect( Vect &vect );
      Vect toVect();
      int print();
      static Vect toVect( float dir, float spd );
      static Wind interp( Wind &w1, Wind &w2, float p1, float p2, float pr);
   };
}
#endif
