#ifndef _WINC_WMODATA
#define _WINC_WMODATA

namespace WXP {
   class WmoData {
      unsigned char data[10000];
      int size;
      int type;
      int end;
      int line;

      public:
      WmoData();
      int init();
      inline const unsigned char *getData(){ return data; };
      inline int getSize(){ return size; };
      inline int getType(){ return type; };
      inline int getEnd(){ return end; };
      inline int getLineNum(){ return line; };
      int print();
      int printData( int max );

      static const int data_len = 10000;
      /*
         WmoData status types
      */
      enum Type {
         UNK,
	 START,
	 SEQ,
	 WMO,
	 AWIP,
         DATA,
         END,
         ENDFILE
      };

      enum End {
	 NONE,
	 NL,
	 ETX
      };

      friend class WmoFile;
      friend class WmoIngest;
   };
}

#endif
