#ifndef _WINC_WMOPRODUCT
#define _WINC_WMOPRODUCT

#include <WXP/Filename.h>
#include <WXP/Buffer.h>

namespace WXP {
   class WmoProduct {
      Filename filename;
      int loc;
      int size;

      char header[80];
      char awip[80];
      Buffer data;

      public:
      WmoProduct();
      int init();

      int setHeader( const char *rheader );
      inline const char *getHeader(){ return header; };
      int setAwip( const char *rawip );
      inline const char *getAwip(){ return awip; };
      inline int setLoc( int rloc ){ loc = rloc; return 1; };
      inline int getLoc(){ return loc; };
      inline int setSize( int rsize ){ size = rsize; return 1; };
      inline int getSize(){ return size; };
   };
}
#endif
